I have exported a 3D stick figure to a DXF (these are just lines and no solid objects) and imported it into AutoCAD 2006 (2012 ordered but not installed yet). I normally draw in 2D and want to get the 3D lines flattened, but I am having trouble.
When I issue the FLATTEN command and say yes to remove hidden lines, it takes a while and I do get a 2D DWG, but the lines on the back side of my 3D lie on top of each other. Is there a way to make a block of the lines that lie on a plane and paste them into a new DWG?
I'll try to attach a screen shot of my 3D model (it is a lattice transmission tower).
I have received some plan drawings that I'm supposed to do some additional work to. I've found that some of the lines and texts have different z factors. They look really messy in other views than plan view. Is there a command that can put all the work into the same plane, preferably to the xy plane, z = 0? I know there is a command that can flatten 3d views into a 2d drawing but that doesn't seem safe in this case. I know there is such a command in for example Rhino (flatten artwork) but in AutoCad I've never come across it.
AutoCad LT2003 I work in 2D wire form. When I cut and past elements together Z can be anywhere. It becomes a problem trimming , chamfering etc. Is there any way to flatten the drawing so that Z is always zero?
I'm working on a drawing that was created by somebody else where certain lines have an elevation that is not 0. This means lenght calculations etc. dont work. Is there a way I can select all and make all elevations 0?
Is it best to flatten my images once I get them completed or is it better to keep them in psd format with the layers intact. What are the pros and cons (other than file size of course).
is there a command in mechanical 2012 similar to FLATTEN,As this does not work on my comp for some reason. I do lot of 3d and then redraw on paper and do dims there after, some of the shapes are not curves themself but for dimensioning this is essential and redrawing over the top is just not an option.
I'm trying to flatten a section of sheet metal so i can get a cut lenth for my fab shop. Please see attached drawing. I want to use these dimensions, and then flatten the part so my fab shop can trace it and cut the sections, bend them and weld together, but when i use the flatten command, nothing happens..
I've been using flatten for a long time and I just noticed that after flattening an objects sometimes it doesn't give you the exact shape of an object. Is there a reason why?
I am working in an office that uses AutoCAd 2004 LT. We often receive drawings from third parties that have Z co-ordinate information and as we are only using 2D it can cause a few problems when snapping to points.
I am inquiring if there is command or routine that can be incorporated into 2004 LT like the 'Flatten' command in 'Additional Tool' in full version of AutoCAD 2005 which converts all the Z values to 0.
FLATTEN doesn't exists, and when I try FLASTSHOT it asks me for digits and I really don't know what to type.......the ultimate goal is to make all my lines "FLAT" since in top view they look good but in 3D perspective some are just way up and down(non-flat)
I received a 3d map and I just need to plot it out but the text is rotated so much it almost illegible is it possilbe to flatten it to 2d? If I just put the map in 2d space the text is smashed down so it looks like a line.
We need to fabricate a curved component but in order to do so we must first flatten it. Usually when I come across something like this I just do the math and draw it out by hand but I really need to learn how to have autodesk do it.
Can i flatten something like You can find on the pic. ( this one is from CATIA ) or something like this. Not everything, just surface by surface. When i draw similar thing, i had problem, because i dont know how to flattern single surface, All of them are curved.
If you have a steel plate bent in several directions and with non-perpendicular ends, designed in 3D Auto Cad.
For example, the plate can be curved with a certain radius in the vertical direction and another horizontally. How would you, or what software would you use, to get the plate flattened to the exact measurements of how it should be cut.
I have a bent glass file that i am trying to flatten in Inventor Pro 2014. It is not allowing me to flatten it. How to flatten this file or if it is even possible with Inventor?
Is there a way to change all your point styles display mode (flatten to elevation, use point elevation, or exaggerate elevation) at once? I don't mean make a new style and then apply it to all points: I want to systematically change it for all my current point styles.
Suppose we have a plastic part modeled as bent around a cylinder with an x-axis. Because the material is plastic and the manufacturing method is injection molding, part stretch is not a concern.
Suppose further that the part is a solid part that will be converted to a straight spring. The part needs to be flattened to obtain the correct spring dimensions--the part may have variable width in the x direction.
I am trying to write a simple (or at least I thought it was) code to flatten a 3d object into a 2d shape. For some reason after ACAD runs the lisp it recognizes the flatten command but it will not select all. this is what I have:
(defun c:fl () (command "flatten" "all") )
I have even tried the pick first command, to select all then run the flatten command but that still doesn't work.
I have created an object in 3ds max and exported as dwg. file to open it in autocad. The purpose for importing that shape in autocad was to set an isometric view of that object and use it in my 2D drawings for annotation and explanation purposes.
What I am trying to achieve is to have that isometric view flattened, but in top (drafting) view along my plan section and elevations so that it looks as if it has been drafted in 2D if that makes sense.
So far I have come across two commands - FLATTEN and FLATSHOT. When using FLATTEN command I get the flattened 2d splines from that object as desired, but in that orthographic view. As soon as I start rotating the flat shape gets distorted and I cant get back to it's original flattened state.
FLATSHOT immediately comes with an error saying that it is not a solid so nothing can be projected. Explode the object then use command - converttosurface this works and I can initiate the FLATSHOT command but the shape has all this extra geometry after converting it to surface and it is not what I want.
The closest is the FLATTEN command as it also allows me to hide the back edges so that I only get a clean outline of the object. But how can I rotate it and position it in a top view, flat, along the drafted elevation and plan.
I'm using ACAD (2011) most of the time in 3D. I like to work that way and it goes really fast!
Now, sometimes I want to flatten my 3D drawing and show my obscured lines and make them dashed afterwards. With the flatten command and explode it works fine... but... some lines just move! For example, a block with size 100,200,100 turns into a square with size 100.9 x 199.3, even if I use the command in 100% top view!
Its been a long while since I have run into something that I have drawn which I cannot get to flatten. I am using Inventor 2011. If you can get it to work in 2012 or later, then I guess it is just time I upgrade.
I wanted to flatten arcs, circles and lines inside a block using the following lisp (which I found in this forum). I found that sometimes this lisp is unable to flatten the ARCs inside the blocks. I do not understand why it is not working for all the blocks. I have attached a drawing in which this lisp is not working.
I have created a point style to flatten the points and lines I create locating buildings effortlessly. I have called the point style "no elevation" and set the 3D geometry to flatten it at zero elevation. I then created a Point key description BLDX that references the style "No Elevation". I also made a figure under my figure group for BLDX that is not a breakline.
My BLDX is still coming in at elevation as well as the corresponding figure. When I hover over the points, it shows that it is using my point style of "No Elevation".
I have an elbow with a slit on the other side and would like to use Flatten feature in sheet metal. How do I do it? I tried but an error pops-up, what does it mean.